PORTMAP2(3)

NAME
packet.nfs.portmap2 - PORTMAPv2 decoding module

CLASSES

  class CALLIT2args(baseobj.BaseObj)
struct CALLIT2args {
    portmap_prog2 prog;
    unsigned int  vers;
    unsigned int  proc;
    opaque        args<>;
};

Methods defined here:
---------------------

__init__(self, unpack)
Constructor

Initialize object's private data according to the arguments given.
Arguments can be given as positional, named arguments or a
combination of both.

  class CALLIT2res(baseobj.BaseObj)
struct CALLIT2res {
    unsigned int port;
    opaque       res<>;
};

Methods defined here:
---------------------

__init__(self, unpack)
Constructor

Initialize object's private data according to the arguments given.
Arguments can be given as positional, named arguments or a
combination of both.

  class DUMP2res(baseobj.BaseObj)
struct DUMP2res {
    entry2 *entries;
};

Methods defined here:
---------------------

__init__(self, unpack)
Constructor

Initialize object's private data according to the arguments given.
Arguments can be given as positional, named arguments or a
combination of both.

  class GETPORT2args(mapping)
struct mapping {
    portmap_prog2 prog;
    unsigned int  vers;
    proto2        prot;
    unsigned int  port;
};

  class GETPORT2res(baseobj.BaseObj)
struct GETPORT2res {
    unsigned int result;
};

Methods defined here:
---------------------

__init__(self, unpack)
Constructor

Initialize object's private data according to the arguments given.
Arguments can be given as positional, named arguments or a
combination of both.

  class PORTMAP2args(packet.utils.RPCload)
union switch PORTMAP2args (portmap_proc2 procedure) {
    case const.PMAPPROC_NULL:
        void;
    case const.PMAPPROC_SET:
        SET2args opset;
    case const.PMAPPROC_UNSET:
        UNSET2args opunset;
    case const.PMAPPROC_GETPORT:
        GETPORT2args opgetport;
    case const.PMAPPROC_DUMP:
        void;
    case const.PMAPPROC_CALLIT:
        CALLIT2args opcallit;
};

Methods defined here:
---------------------

__init__(self, unpack, procedure)
Constructor

Initialize object's private data according to the arguments given.
Arguments can be given as positional, named arguments or a
combination of both.

  class PORTMAP2res(packet.utils.RPCload)
union switch PORTMAP2res (portmap_proc2 procedure) {
    case const.PMAPPROC_NULL:
        void;
    case const.PMAPPROC_SET:
        SET2res opset;
    case const.PMAPPROC_UNSET:
        UNSET2res opunset;
    case const.PMAPPROC_GETPORT:
        GETPORT2res opgetport;
    case const.PMAPPROC_DUMP:
        DUMP2res opdump;
    case const.PMAPPROC_CALLIT:
        CALLIT2res opcallit;
};

Methods defined here:
---------------------

__init__(self, unpack, procedure)
Constructor

Initialize object's private data according to the arguments given.
Arguments can be given as positional, named arguments or a
combination of both.

  class SET2args(mapping)
struct mapping {
    portmap_prog2 prog;
    unsigned int  vers;
    proto2        prot;
    unsigned int  port;
};

  class SET2res(bool_res)
struct bool_res {
    bool result;
};

  class UNSET2args(mapping)
struct mapping {
    portmap_prog2 prog;
    unsigned int  vers;
    proto2        prot;
    unsigned int  port;
};

  class UNSET2res(bool_res)
struct bool_res {
    bool result;
};

  class bool_res(baseobj.BaseObj)
struct bool_res {
    bool result;
};

Methods defined here:
---------------------

__init__(self, unpack)
Constructor

Initialize object's private data according to the arguments given.
Arguments can be given as positional, named arguments or a
combination of both.

  class entry2(baseobj.BaseObj)
struct entry2 {
    mapping map;
    entry2  *next;
};

Methods defined here:
---------------------

__init__(self, unpack)
Constructor

Initialize object's private data according to the arguments given.
Arguments can be given as positional, named arguments or a
combination of both.

  class mapping(baseobj.BaseObj)
struct mapping {
    portmap_prog2 prog;
    unsigned int  vers;
    proto2        prot;
    unsigned int  port;
};

Methods defined here:
---------------------

__init__(self, unpack)
Constructor

Initialize object's private data according to the arguments given.
Arguments can be given as positional, named arguments or a
combination of both.

  class portmap_proc2(packet.utils.Enum)
enum portmap_proc2

  class portmap_prog2(packet.utils.Enum)
enum portmap_prog2

  class proto2(packet.utils.Enum)
enum proto2

SEE ALSO
baseobj(3), packet.nfs.portmap2_const(3), packet.unpack(3), packet.utils(3)

BUGS
No known bugs.

AUTHOR
Jorge Mora (mora@netapp.com)